[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TAbstractObjectReader.ReadSignature

Read resource signature

## Declaration

Source position: classesh.inc line 1255

`public procedure TAbstractObjectReader.ReadSignature; virtual; abstract;`

## Description

ReadSignature reads the streaming signature from a stream. This method does nothing. It must be implemented by descendents that have a signature header in the stream. (such as binary streams)

## See also

TAbstractObjectWriter.WriteSignature |  | Write stream signature to the stream
TBinaryObjectReader.ReadSignature |  | Reads the filer signature